%define upstream_name    Pod-Abstract
%define upstream_version 0.20

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

License:    GPL+ or Artistic
Group:      Development/Perl
Summary:    Basic multipart section numbering

Source0:    http://www.cpan.org/modules/by-module/Pod/%{upstream_name}-%{upstream_version}.tar.gz
Url:        http://search.cpan.org/dist/%{upstream_name}

BuildRequires: perl-devel
BuildRequires: perl(IO::String)
BuildArch: noarch


%description
POD::Abstract provides a means to load a POD (or POD compatible) document
without direct reference to it's syntax, and perform manipulations on the
abstract syntax tree.

This can be used to support additional features for POD, to format output,
to compile into alternative formats, etc.

WHY?
    If you've ever asked yourself "What does Pod do for me?", this module
    is intended to answer that question.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes README META.yml
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/paf


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.200.0-8.mga6
+ Revision: 1032245
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.200.0-7.mga6
+ Revision: 944860
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.200.0-6.mga5
+ Revision: 750382
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.200.0-5.mga5
+ Revision: 727724
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.200.0-4.mga5
+ Revision: 685993
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.200.0-3.mga4
+ Revision: 521010
- Mageia 4 Mass Rebuild

* Tue Jan 15 2013 sander85 <sander85> 0.200.0-2.mga3
+ Revision: 388246
- Fix spec

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 0.200.0-1.mga1
+ Revision: 31054
- mageia rebuild
- imported package perl-Pod-Abstract

